Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.vis
Interface ColorFeature

All Superinterfaces:
  HasName

All Known Implementing Classes:
  ColorFeatureConcrete, ColorFeatureFixed, ColorFeatureGradiated, ColorFeatureGradiatedIndex, DrawColorFeature, FillCellFeature

    public interface ColorFeature

extends HasName

A Color feature returns a color based on the state of an object of known type provided to it. Used to provide an appropriate color for some feature or aspect of an object.

Since:
  1.0
Version:
  1.0.1
Author:
  Miles Parker

Field Summary
`static org.eclipse.swt.graphics.Color` | `BLACK`
`static org.eclipse.swt.graphics.Color` | `BLUE`
`static org.eclipse.swt.graphics.Color` | `CYAN`
`static org.eclipse.swt.graphics.Color` | `DARK_BLUE`
`static org.eclipse.swt.graphics.Color` | `DARK_GRAY`
`static org.eclipse.swt.graphics.Color` | `DARK_GREEN`
`static org.eclipse.swt.graphics.Color` | `DARK_MAGENTA`
`static org.eclipse.swt.graphics.Color` | `DARK_RED`
`static org.eclipse.swt.graphics.Color` | `DARK_YELLOW`
`static org.eclipse.swt.graphics.Color` | `DEFAULT_BG`
`static org.eclipse.swt.graphics.Color` | `GRAY`
`static org.eclipse.swt.graphics.Color` | `GREEN`
`static org.eclipse.swt.graphics.Color` | `HIGHLIGHT_AGENT_COLOR`
`static org.eclipse.swt.graphics.Color` | `LIGHT_GRAY`
`static org.eclipse.swt.graphics.Color` | `MAGENTA`
`static org.eclipse.swt.graphics.Color` | `ORANGE`
`static org.eclipse.swt.graphics.Color` | `RED`
`static org.eclipse.swt.graphics.Color` | `WHITE`
`static org.eclipse.swt.graphics.Color` | `YELLOW`

Method Summary
`org.eclipse.swt.graphics.Color` | `getColor(java.lang.Object object)` Returns a color for the object as defined in implementions of this class.

Methods inherited from interface org.ascape.util.HasName
`getName`

Field Detail

### BLACK

    static final org.eclipse.swt.graphics.Color BLACK

### BLUE

    static final org.eclipse.swt.graphics.Color BLUE

### CYAN

    static final org.eclipse.swt.graphics.Color CYAN

### DARK_BLUE

    static final org.eclipse.swt.graphics.Color DARK_BLUE

### DARK_GREEN

    static final org.eclipse.swt.graphics.Color DARK_GREEN

### DARK_GRAY

    static final org.eclipse.swt.graphics.Color DARK_GRAY

### DARK_MAGENTA

    static final org.eclipse.swt.graphics.Color DARK_MAGENTA

### DARK_RED

    static final org.eclipse.swt.graphics.Color DARK_RED

### DARK_YELLOW

    static final org.eclipse.swt.graphics.Color DARK_YELLOW

### DEFAULT_BG

    static final org.eclipse.swt.graphics.Color DEFAULT_BG

### GRAY

    static final org.eclipse.swt.graphics.Color GRAY

### LIGHT_GRAY

    static final org.eclipse.swt.graphics.Color LIGHT_GRAY

### GREEN

    static final org.eclipse.swt.graphics.Color GREEN

### MAGENTA

    static final org.eclipse.swt.graphics.Color MAGENTA

### RED

    static final org.eclipse.swt.graphics.Color RED

### WHITE

    static final org.eclipse.swt.graphics.Color WHITE

### YELLOW

    static final org.eclipse.swt.graphics.Color YELLOW

### ORANGE

    static final org.eclipse.swt.graphics.Color ORANGE

### HIGHLIGHT_AGENT_COLOR

    static final org.eclipse.swt.graphics.Color HIGHLIGHT_AGENT_COLOR

Method Detail

### getColor

    org.eclipse.swt.graphics.Color getColor(java.lang.Object object)

  Returns a color for the object as defined in implementions of this class.

  Parameters:
    `object` - the object to get a color from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD